
Efl_Object *_efl_ui_navigation_bar_efl_object_constructor(Eo *obj, Efl_Ui_Navigation_Bar_Data *pd);


void _efl_ui_navigation_bar_efl_text_text_set(Eo *obj, Efl_Ui_Navigation_Bar_Data *pd, const char *text);


const char *_efl_ui_navigation_bar_efl_text_text_get(const Eo *obj, Efl_Ui_Navigation_Bar_Data *pd);


void _efl_ui_navigation_bar_efl_ui_l10n_l10n_text_set(Eo *obj, Efl_Ui_Navigation_Bar_Data *pd, const char *label, const char *domain);


const char *_efl_ui_navigation_bar_efl_ui_l10n_l10n_text_get(const Eo *obj, Efl_Ui_Navigation_Bar_Data *pd, const char **domain);


Efl_Object *_efl_ui_navigation_bar_efl_part_part_get(const Eo *obj, Efl_Ui_Navigation_Bar_Data *pd, const char *name);


static Eina_Bool
_efl_ui_navigation_bar_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_NAVIGATION_BAR_EXTRA_OPS
#define EFL_UI_NAVIGATION_BAR_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_navigation_bar_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_text_set, _efl_ui_navigation_bar_efl_text_text_set),
      EFL_OBJECT_OP_FUNC(efl_text_get, _efl_ui_navigation_bar_efl_text_text_get),
      EFL_OBJECT_OP_FUNC(efl_ui_l10n_text_set, _efl_ui_navigation_bar_efl_ui_l10n_l10n_text_set),
      EFL_OBJECT_OP_FUNC(efl_ui_l10n_text_get, _efl_ui_navigation_bar_efl_ui_l10n_l10n_text_get),
      EFL_OBJECT_OP_FUNC(efl_part_get, _efl_ui_navigation_bar_efl_part_part_get),
      EFL_UI_NAVIGATION_BAR_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_navigation_bar_class_desc = {
   EO_VERSION,
   "Efl.Ui.Navigation_Bar",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Navigation_Bar_Data),
   _efl_ui_navigation_bar_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_navigation_bar_class_get, &_efl_ui_navigation_bar_class_desc, EFL_UI_LAYOUT_BASE_CLASS, EFL_TEXT_INTERFACE, NULL);
